<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <p>
      <span @click="clickText">基于vue3.0+typescript模板</span>
      <br>
      用户名：{{userid}}
      <br>
      sessionID：{{sessionID}}
    </p>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

declare const devUserInfo:any;
declare const settingParam:any;

export default defineComponent({
  name: 'HelloWorld',
  props: {
    msg: String,
  },
  methods : {
    clickText(){
      alert("点击事件")
    }
  },
  computed:{
    userid(){
      return devUserInfo.userid;
    },
    sessionID(){
      return settingParam.sessionId;
    }
  }
});
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="less">
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
